# Enables Anonymous Access to Sharepoint Lists within the specified web applications
# Please pass in as arguments the urls of the web applications to which you want to grant access to anonymous users

Write-Host "Number of web applications specified:" $args.Length;

foreach ($arg in $args)
{
	Write-Host "Web application: $arg";
	$webapp = Get-SPWebApplication "$arg"
	$webapp.ClientCallableSettings.AnonymousRestrictedTypes.Remove([microsoft.sharepoint.splist], "GetItems")
	$webapp.ClientCallableSettings.AnonymousRestrictedTypes.Remove([microsoft.sharepoint.splist], "GetChanges")
	$webapp.ClientCallableSettings.AnonymousRestrictedTypes
	$webapp.Update()
}